src:elinks fails to import with the edge snap

Bug #1730778 reported by Nish Aravamudan on 2017-11-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
usd-importer
Undecided
Robie Basak

Bug Description

$ git ubuntu import --no-push --no-clean elinks
11/07/2017 15:55:03 - INFO:Ubuntu Server Team importer v0.6.2
11/07/2017 15:55:03 - INFO:Using git repository at /tmp/tmpxe_raonn
11/07/2017 15:55:04 - ERROR:Command exited 128: git fetch pkg
11/07/2017 15:55:04 - ERROR:stdout:
11/07/2017 15:55:04 - ERROR:stderr: fatal: could not read Username for 'https://git.launchpad.net': terminal prompts disabled

11/07/2017 15:55:05 - ERROR:Command exited 128: git fetch pkg "refs/tags/*:refs/tags/importer/*"
11/07/2017 15:55:05 - ERROR:stdout:
11/07/2017 15:55:05 - ERROR:stderr: fatal: could not read Username for 'https://git.launchpad.net': terminal prompts disabled

11/07/2017 15:55:11 - INFO:Importing patches-unapplied 0.11.4-3 to debian/lenny
11/07/2017 15:55:51 - INFO:Importing patches-unapplied 0.12~pre2.dfsg0-1 to debian/sid
11/07/2017 15:56:15 - ERROR:Command exited 1: gbp import-orig --no-merge --upstream-branch do-not-push --pristine-tar --no-interactive --no-symlink-orig '--upstream-tag=importer/upstream/debian/%(version)s.gz' /tmp/tmpxe_raonn/.git/git-ubuntu-cache/elinks_0.12~pre2.dfsg0.orig.tar.gz
11/07/2017 15:56:15 - ERROR:stdout:
11/07/2017 15:56:15 - ERROR:stderr: gbp:error: The orig tarball contains .git metadata - giving up.

11/07/2017 15:56:15 - WARNING:Unable to pristine-tar import orig tarball for 0.12~pre2.dfsg0-1
Traceback (most recent call last):
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 1397, in import_publishes
    ubuntu_sinfo=ubuntu_sinfo,
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 1008, in import_unapplied_spi
    spi.dsc_pathname
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 709, in import_patches_unapplied_tree
    import_tree_hash = dsc_to_tree_hash(repo, dsc_pathname)
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 118, in dsc_to_tree_hash
    return repo.dir_to_tree(extracted_dir)
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/git_repository.py", line 1566, in dir_to_tree
    top_tree_object=tree,
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/git_repository.py", line 1527, in _add_missing_tree_dirs
    pygit2.GIT_FILEMODE_TREE, # attr
_pygit2.GitError: Failed to insert entry. Invalid name for a tree entry - .git

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/snap/git-ubuntu/328/bin/git-ubuntu", line 11, in <module>
    load_entry_point('gitubuntu==0.6.2', 'console_scripts', 'git-ubuntu')()
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/__main__.py", line 243, in main
    sys.exit(args.func(args))
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 1520, in cli_main
    retry_backoffs=args.retry_backoffs,
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 334, in main
    allow_applied_failures=allow_applied_failures,
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 1412, in import_publishes
    raise GitUbuntuImportError(msg) from e
gitubuntu.importer.GitUbuntuImportError: Unable to import patches-unapplied 0.12~pre2.dfsg0-1 to debian
11/07/2017 15:56:16 - INFO:Leaving /tmp/tmpxe_raonn as directed

$ snap info git-ubuntu
...
installed: 0.6.2+git10.49f99f7 (328) 99MB classic

Nish Aravamudan (nacc) on 2017-11-07
Changed in usd-importer:
assignee: nobody → Nish Aravamudan (nacc)
assignee: Nish Aravamudan (nacc) → Robie Basak (racb)
milestone: none → lp-beta
tags: added: import-edge-case
Robie Basak (racb) on 2017-11-08
Changed in usd-importer:
status: New → In Progress
Nish Aravamudan (nacc) wrote :

Also affects: lockfile-progs

$ git ubuntu import lockfile-progs --no-push
11/08/2017 13:55:28 - INFO:Ubuntu Server Team importer v0.6.2
11/08/2017 13:55:28 - INFO:Using git repository at /tmp/tmp5m3kpatk
11/08/2017 13:55:30 - ERROR:Command exited 128: git fetch pkg
11/08/2017 13:55:30 - ERROR:stdout:
11/08/2017 13:55:30 - ERROR:stderr: fatal: could not read Username for 'https://git.launchpad.net': terminal prompts disabled

11/08/2017 13:55:31 - ERROR:Command exited 128: git fetch pkg "refs/tags/*:refs/tags/importer/*"
11/08/2017 13:55:31 - ERROR:stdout:
11/08/2017 13:55:31 - ERROR:stderr: fatal: could not read Username for 'https://git.launchpad.net': terminal prompts disabled

11/08/2017 13:55:36 - INFO:Importing patches-unapplied 0.1.11-0.1 to debian/lenny
Traceback (most recent call last):
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 1397, in import_publishes
    ubuntu_sinfo=ubuntu_sinfo,
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 1008, in import_unapplied_spi
    spi.dsc_pathname
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 709, in import_patches_unapplied_tree
    import_tree_hash = dsc_to_tree_hash(repo, dsc_pathname)
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 118, in dsc_to_tree_hash
    return repo.dir_to_tree(extracted_dir)
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/git_repository.py", line 1566, in dir_to_tree
    top_tree_object=tree,
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/git_repository.py", line 1527, in _add_missing_tree_dirs
    pygit2.GIT_FILEMODE_TREE, # attr
_pygit2.GitError: Failed to insert entry. Invalid name for a tree entry - .git

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/snap/git-ubuntu/328/bin/git-ubuntu", line 11, in <module>
    load_entry_point('gitubuntu==0.6.2', 'console_scripts', 'git-ubuntu')()
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/__main__.py", line 243, in main
    sys.exit(args.func(args))
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 1520, in cli_main
    retry_backoffs=args.retry_backoffs,
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 334, in main
    allow_applied_failures=allow_applied_failures,
  File "/snap/git-ubuntu/328/lib/python3.6/site-packages/gitubuntu/importer.py", line 1412, in import_publishes
    raise GitUbuntuImportError(msg) from e
gitubuntu.importer.GitUbuntuImportError: Unable to import patches-unapplied 0.1.11-0.1 to debian

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers